<?php
/**
 * @copyright Copyright (C) 2005 - 2007 Open Source Matters. All rights reserved.
 * @license GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

$primary = $this->params->get('primaryStyle');

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" >
<head>
<jdoc:include type="head" />

<!-- LOAD MAIN STYLESHEETS -->
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/system/css/general.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/template.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/<?php echo $primary; ?>/<?php echo $primary; ?>.css" type="text/css" />
<?php if ($this->params->get('orientation') && $this->countModules('left')) : ?>
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/<?php echo $primary; ?>/orientation_left.css" type="text/css" />
<?php endif; ?>
<link href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/<?php echo $primary; ?>/<?php echo $this->params->get('colorStyle'); ?>.css" rel="stylesheet" type="text/css" />

<!-- LOAD ALTERNATE STYLESHEETS & SCRIPT FOR COLORSWITCH IF ENABLED -->
<?php if ($this->params->get('colorSwitch')) : ?>
<link href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/<?php echo $primary; ?>/orange.css" rel="alternate stylesheet" type="text/css" title="orange" />
<link href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/<?php echo $primary; ?>/green.css" rel="alternate stylesheet" type="text/css" title="green" />
<link href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/<?php echo $primary; ?>/blue.css" rel="alternate stylesheet" type="text/css" title="blue" />
<link href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/<?php echo $primary; ?>/pink.css" rel="alternate stylesheet" type="text/css" title="pink" />
<link href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/<?php echo $primary; ?>/red.css" rel="alternate stylesheet" type="text/css" title="red" />
<script type="text/javascript" src="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/colorswitch.js"></script>
<?php endif; ?>

<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/sIFR-print.css" type="text/css" media="print" />
<!--[if lte IE 6]>
<link href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/template_ie6.css" rel="stylesheet" type="text/css" />
<![endif]-->

<!-- DYNAMIC STYLES FOR SIFR AND FONT PARAMETERS -->
<style type="text/css">
	.sIFR-hasFlash .sitetitle, .sIFR-hasFlash .sitetitle_shadow{
		font-size:<?php echo $this->params->get('fontSize'); ?>px;}
	#sitetitle_div{
		top:<?php echo $this->params->get('fontTop'); ?>px;
		left:<?php echo $this->params->get('fontLeft'); ?>px;}
	#sitetitle_shadow_div{
		top:<?php echo $this->params->get('fontTop')+2; ?>px;
		left:<?php echo $this->params->get('fontLeft')+2; ?>px;}
	body.mainbody1, body.mainbody0 {
		font-family:<?php echo $this->params->get('bodyFontFamily'); ?>;
		font-size:<?php echo $this->params->get('bodyFontSize'); ?>px;}
</style>

<!-- LOAD SIFR SCRIPT IF ENABLED -->
<?php if ($this->params->get('enableSIFR')) : ?>
<script language="JavaScript" type="text/javascript" src="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/sifr.js"></script>
<?php endif; ?>

<!-- CORE TEMPLATE VARIABLES & LAYOUT CALCULATIONS - DON'T ALTER THESE VALUES! -->
<?php
$user1 = $this->countModules('user1')?1:0;
$user2 = $this->countModules('user2')?1:0;
$user4 = $this->countModules('user4')?1:0;
$user5 = $this->countModules('user5')?1:0;
$syndicate = $this->countModules('syndicate')?1:0;
$right = $this->countModules('right')?1:0;
$left = $this->countModules('left')?1:0;

// USER 1 & 2 calculations
if ($user1+$user2 == 2) :
$user1_style="float:left;border-right:1px dotted #555;width:45%;padding-right:4%;";
$user2_style="margin-left:53%;width:46%;";
elseif (($user1 == 1) and ($user2 == 0)) :
$user1_style="width:99%;";
elseif (($user1 == 0) and ($user2 == 1)) :
$user2_style="width:99%";
endif;
// END
// USER 3 & 4 calculations
if ($user4+$user5 == 2) :
$user4_style="width:508px;";
$user5_style="width:248px;margin-left:10px;";
elseif (($user4 == 1) and ($user5 == 0)) :
$user4_style="width:766px;margin-right:10px;";
elseif (($user4 == 0) and ($user5 == 1)) :
$user5_style="width:766px";
endif;
// END
// CONTAINER CALCULATIONS
if ($right == 0 and $syndicate == 0 and $this->params->get('rightCollapse') == 1) :
$bigcontainerwidth = 788;
else :
$bigcontainerwidth = $this->params->get('rightColWidth')+790;
$containerwidth = $bigcontainerwidth-8;
endif;
$containerwidth_corner = $bigcontainerwidth+28;
$shadowwidth=$containerwidth_corner+30;
//END

//CHECK FOR EDIT MODE
$editmode = false;
if (JRequest::getCmd('task') == 'edit' ) :
	$editmode = true;
	$left=0;
endif;
?>
</head>

<!-- BEGIN TEMPLATE LAYOUT -->
<body class="mainbody<?php echo $this->params->get('alignStyle'); ?>">
	<?php if ($this->params->get('colorBarHeight')) : ?>
	<div id="topbar" style="height:<?php echo $this->params->get('colorBarHeight'); ?>px;"></div>
	<?php endif; ?>
    <div id="bottomcorner<?php echo $this->params->get('alignStyle'); ?>" style="width:<?php echo $containerwidth_corner; ?>px;">
    <div id="bigcontainer<?php echo $this->params->get('alignStyle'); ?>" style="width:<?php echo $bigcontainerwidth; ?>px;">
		<div id="topmenu">
        	<?php if ($this->params->get('skipButton')) : ?>
        	<div id="skipbutton"><a href="#contentskip">&nbsp;</a></div>
            <?php endif; ?>
            
            <jdoc:include type="modules" name="user3" style="xhtml" />
                    	<?php if ($this->params->get('colorSwitch')) : ?>
        			  	<div id="colorswitch">
							<a href="javascript:setActiveStyleSheet('orange')" title="Switch to Orange"><span class="style_button_orange"></span></a>
                   			<a href="javascript:setActiveStyleSheet('blue')" title="Switch to Blue"><span class="style_button_blue"></span></a>
							<a href="javascript:setActiveStyleSheet('green')" title="Switch to Green"><span class="style_button_green"></span></a>
							<a href="javascript:setActiveStyleSheet('pink')" title="Switch to Pink"><span class="style_button_pink"></span></a>
							<a href="javascript:setActiveStyleSheet('red')" title="Switch to Red"><span class="style_button_red"></span></a>
                    	</div>
         				<?php endif; ?>

		</div>
		<div id="container<?php echo $left; ?>" style="width:<?php echo $containerwidth; ?>px;">
			<div id="rightcol" style="width:<?php echo $this->params->get('rightColWidth'); ?>px;">
				<div id="rightcolpad">
  					<jdoc:include type="modules" name="right" style="xhtml" />
				</div>
			</div>
    		<div id="content">
				<div id="header">
					<div id="header-left">
        				<?php if ($this->params->get('joomlaBanner')) : ?>
        				<span id="logo"><a href="http://www.joomla.org" target="_blank"><img src="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/images/jbanner.png" width="109px" height="108px" alt="" title="" /></a></span>
        				<?php endif; ?>
						<?php if ($this->params->get('useSifr')) : ?>	
						<?php if ($this->params->get('useSifr') == 1 or $this->params->get('useSifr') == 2) : ?>		
         				<div id="sitetitle_shadow_div"><span class="sitetitle_shadow"><?php echo $this->params->get('siteTitle'); ?></span></div>
         				<div id="sitetitle_div"><span class="sitetitle"><?php echo $this->params->get('siteTitle'); ?></span></div>
						<?php endif; ?>
						<?php if ($this->params->get('useSifr') == 1 or $this->params->get('useSifr') == 3) : ?>
         				<div id="siteslogan_div_<?php echo $this->params->get('font') ?>"><span class="siteslogan"><?php echo $this->params->get('siteSlogan'); ?></span></div>
						<?php endif; ?>
						<?php endif; ?>
      				</div>
        			<?php if ($this->countModules('top')) : ?>
					<div id="header-right">
        				<div id="header-right-padding">
							<jdoc:include type="modules" name="top" style="xhtml" />
        				</div>
					<?php else : ?>
        			<div id="header-right_normal">
        			<?php endif; ?>
					</div>
				</div>
				<a name="contentskip" id="contentskip"></a>
                <?php if ($this->countModules('breadcrumb')) : ?>
				<div id="pathway">
					<div id="pathwaypad">
						<jdoc:include type="module" name="breadcrumbs" />
					</div>
				</div>
                <?php endif; ?>
				<?php if ($left and $editmode == false) : ?>
				<div id="leftcol">
  					<div id="leftcolpad">
  						<jdoc:include type="modules" name="left" style="xhtml" />
  					</div>
  				</div>
				<?php endif; ?>
      			<div id="contentpad<?php echo $left; ?>">
					<?php if ($user1 or $user2) : ?>
					<div id="usermodules_container">
						<?php if ($user1) : ?>
      					<div id="user1" style="<?php echo $user1_style; ?>">
      						<jdoc:include type="modules" name="user1" style="xhtml" />
      					</div>
						<?php endif; ?>
						<?php if ($user2) : ?>
      					<div id="user2" style="<?php echo $user2_style; ?>">
      						<jdoc:include type="modules" name="user2" style="xhtml" />
      					</div>
            			<?php endif; ?>
      				</div>
					<?php endif; ?>
					<jdoc:include type="message" />
					<?php if ($this->params->get('showComponent')) : ?>
					<jdoc:include type="component" />
					<?php endif; ?>
					<?php if ($this->countModules('banner')) : ?>
					<br />
					<jdoc:include type="modules" name="banner" style="xhtml" />
					<?php endif; ?>
				</div>
			</div>
    		<div class="clearfloat"></div>
			<div id="content_bot<?php echo $left; ?>"></div>
		</div>
		<?php if ($user4 or $user5 or $syndicate) : ?>
		<div id="bottom_container<?php echo $this->params->get('alignStyle'); ?>">
			<?php if ($user4) : ?>
			<div id="user4" style="<?php echo $user4_style; ?>">
				<div class="user_padding">
					<jdoc:include type="modules" name="user4" style="xhtml" />
				</div>
			</div>
			<?php endif; ?>
			<?php if ($user5) : ?>
			<div id="user5" style="<?php echo $user5_style; ?>">
				<jdoc:include type="modules" name="user5" style="xhtml" />
			</div>
			<?php endif; ?>
			<?php if ($syndicate) : ?>
				<?php if ($user4 or $user5) : ?>
				<div id="syndicate" style="width:<?php echo $this->params->get('rightColWidth'); ?>px;">
				<?php else : ?>
				<div id="syndicate_right" style="width:<?php echo $this->params->get('rightColWidth'); ?>px;">
				<?php endif; ?>
					<div class="user_padding">
						<jdoc:include type="modules" name="syndicate" style="xhtml" />
					</div>
				</div>
			<?php endif; ?>
        </div>
		<?php endif; ?>

	</div>
	<div id="footer">
	<?php if ($this->countModules('footer')) : ?>
	<jdoc:include type="modules" name="footer" />
	<?php endif; ?>
		<?php if ($this->params->get('showValidation')) : ?>
	 	Powered by <a href="http://www.joomla.org">Joomla! 1.5</a> | Design by <a href="http://www.toolboxcreations.com">toolbox</a> |
		<a href="http://validator.w3.org/check/referer">XHTML</a> | <a href="http://jigsaw.w3.org/css-validator/check/referer">CSS</a>
		 | <a href="http://www.hermish.com/check_this.cfm">508</a>
		 <?php endif; ?>
	</div>
</div>

<!-- CONTENT SKIP HOVER PRELOADERS -->
<?php if ($this->params->get('skipButton')) : ?>
<span class="pl_orange">&nbsp;</span>
<span class="pl_blue">&nbsp;</span>
<span class="pl_green">&nbsp;</span>
<span class="pl_red">&nbsp;</span>
<span class="pl_pink">&nbsp;</span>
<?php endif; ?>

<!-- SIFR REPLACEMENT SCRIPT -->
<?php if ($this->params->get('enableSIFR')) : ?>
<script type="text/javascript">
	if(typeof sIFR == "function"){
    	sIFR.bHideBrowserText = false;
    	sIFR.setup();
		sIFR.replaceElement(".sitetitle", named({sFlashSrc: "<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/fonts/<?php echo $this->params->get('font') ?>.swf", sColor: "#ffffff", sHoverColor: "#ffffff", sWmode: "transparent"}));
		sIFR.replaceElement(".sitetitle_shadow", named({sFlashSrc: "<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/fonts/<?php echo $this->params->get('font') ?>.swf", sColor: "#222222", sHoverColor: "#222222", sWmode: "transparent"}));
		sIFR.replaceElement(".siteslogan", named({sFlashSrc: "<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/fonts/<?php echo $this->params->get('font') ?>_slogan.swf", sColor: "#ffffff", sHoverColor: "#ffffff", sWmode: "transparent"}));};
	</script>
<?php endif; ?>
<jdoc:include type="modules" name="debug" />
</body>
</html>